import { SPEditor } from '../SPEditor';
import { TNode } from '../TNode';
import { DOMHandlerReturnType } from './DOMHandlers';
/**
 * Function called whenever a change occurs in the editor.
 * Return `false` to prevent calling the next plugin handler.
 * @see {@link SlatePropsOnChange}
 */
export declare type OnChange<T extends SPEditor = SPEditor> = (editor: T) => (value: TNode[]) => DOMHandlerReturnType;
//# sourceMappingURL=OnChange.d.ts.map